Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.beans.metadata.plugins
Class AbstractPropertyMetaData

    java.lang.Object
      org.jboss.util.JBossObject
          org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
              org.jboss.beans.metadata.plugins.AbstractPropertyMetaData

All Implemented Interfaces:
  Cloneable, FeatureMetaData, org.jboss.util.JBossInterface, MetaDataVisitorNode, PropertyMetaData

public class AbstractPropertyMetaData
extends AbstractFeatureMetaData
implements PropertyMetaData

Metadata for a property.

Version:
  $Revision: 1.7 $
Author:
  Adrian Brock

Field Summary
`protected String` | `name` The property name
`protected ValueMetaData` | `value` The property value

Fields inherited from class org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
`annotations, description`

Fields inherited from class org.jboss.util.JBossObject
`hashCode, log, toString`

Constructor Summary
`AbstractPropertyMetaData()` Create a new property meta data
`AbstractPropertyMetaData(String name, Object value)` Create a new property meta data
`AbstractPropertyMetaData(String name, String value)` Create a new property meta data
`AbstractPropertyMetaData(String name, String value, String type)` Create a new property meta data
`AbstractPropertyMetaData(String name, ValueMetaData value)` Create a new attribute meta data

Method Summary
`Iterator` | `getChildren()` Return the child nodes
`String` | `getName()` Get the name.
`ValueMetaData` | `getValue()` Get the value.
`void` | `setName(String name)` Set the name
`void` | `setValue(ValueMetaData value)` Set the value
`void` | `toShortString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `toString(org.jboss.util.JBossStringBuilder buffer)`
`void` | `visit(MetaDataVisitor visitor)` Visit the node

Methods inherited from class org.jboss.beans.metadata.plugins.AbstractFeatureMetaData
`getAnnotations, getDescription, setAnnotations, setDescription`

Methods inherited from class org.jboss.util.JBossObject
`cacheGetHashCode, cacheToString, clone, equals, flushJBossObjectCache, getClassShortName, getHashCode, hashCode, list, notEqual, toShortString, toString, toStringImplementation`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.jboss.beans.metadata.spi.FeatureMetaData
`getAnnotations, getDescription`

Methods inherited from interface org.jboss.util.JBossInterface
`clone, toShortString`

Field Detail

### name

    protected String name

  The property name

### value

    protected ValueMetaData value

  The property value

Constructor Detail

### AbstractPropertyMetaData

    public AbstractPropertyMetaData()

  Create a new property meta data

### AbstractPropertyMetaData

    public AbstractPropertyMetaData(String name,
                                    Object value)

  Create a new property meta data

Parameters:
  `name` - the name
  `value` - the value

### AbstractPropertyMetaData

    public AbstractPropertyMetaData(String name,
                                    String value)

  Create a new property meta data

Parameters:
  `name` - the name
  `value` - the string value

### AbstractPropertyMetaData

    public AbstractPropertyMetaData(String name,
                                    ValueMetaData value)

  Create a new attribute meta data

Parameters:
  `name` - the name
  `value` - the value meta data

### AbstractPropertyMetaData

    public AbstractPropertyMetaData(String name,
                                    String value,
                                    String type)

  Create a new property meta data

Parameters:
  `name` - the name
  `value` - the string value

Method Detail

### getName

    public String getName()

  Description copied from interface: `PropertyMetaData`
  Get the name.

  Specified by:
    `getName` in interface `PropertyMetaData`
  Returns:
    the name.

### setName

    public void setName(String name)

  Set the name

  Parameters:
    `name` - the name

### getValue

    public ValueMetaData getValue()

  Description copied from interface: `PropertyMetaData`
  Get the value.

  Specified by:
    `getValue` in interface `PropertyMetaData`
  Returns:
    the value.

### setValue

    public void setValue(ValueMetaData value)

  Set the value

  Parameters:
    `value` - the value

### visit

    public void visit(MetaDataVisitor visitor)

  Description copied from interface: `MetaDataVisitorNode`
  Visit the node

  Specified by:
    `visit` in interface `MetaDataVisitorNode`
  Overrides:
    `visit` in class `AbstractFeatureMetaData`

### getChildren

    public Iterator getChildren()

  Description copied from interface: `MetaDataVisitorNode`
  Return the child nodes

  Specified by:
    `getChildren` in interface `MetaDataVisitorNode`
  Overrides:
    `getChildren` in class `AbstractFeatureMetaData`

### toString

    public void toString(org.jboss.util.JBossStringBuilder buffer)

  Overrides:
    `toString` in class `AbstractFeatureMetaData`

### toShortString

    public void toShortString(org.jboss.util.JBossStringBuilder buffer)

  Specified by:
    `toShortString` in interface `org.jboss.util.JBossInterface`
  Overrides:
    `toShortString` in class `AbstractFeatureMetaData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.